Bug Hunting Session
Bug 93666 - GL / area fill scaling issue.
Summary: GL / area fill scaling issue.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
5.0.1.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.1.0 target:5.0.2
Keywords:
Depends on:
Blocks: VCL-OpenGL
  Show dependency treegraph
 
Reported: 2015-08-25 18:06 UTC by Michael Meeks
Modified: 2016-10-25 19:20 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
sample file. (21.09 KB, application/vnd.oasis.opendocument.graphics)
2015-08-25 18:07 UTC, Michael Meeks
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2015-08-25 18:06:40 UTC
Load the attached and re-size the image - I get chaff inside the preview of what the image should look like, and often guff after sizing.
Comment 1 Michael Meeks 2015-08-25 18:07:31 UTC
Created attachment 118177 [details]
sample file.
Comment 2 Michael Meeks 2015-09-04 11:10:23 UTC
Tomaz pushed an initial workaround for this before RC1 - but investigation continues I think. https://gerrit.libreoffice.org/#/c/18308/
Comment 3 Michael Meeks 2015-09-16 11:01:20 UTC
May be related to 94252 =)
Comment 4 Commit Notification 2015-09-16 12:17:18 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0165da09288b5f6573bda114af664a26557fad8a

tdf#93666: use x,y coords when reading texture part + don't bind

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2015-09-16 12:43:24 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4833f5a9c88726a03666ee58c156746ba489b8a2&h=libreoffice-5-0

tdf#93666: use x,y coords when reading texture part + don't bind

It will be available in 5.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2015-09-16 16:30:59 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "libreoffice-5-0-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=767b3eb47641ed135bee053519c9756f2931e74c&h=libreoffice-5-0-2

tdf#93666: use x,y coords when reading texture part + don't bind

It will be available in 5.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Michael Meeks 2015-09-17 08:44:42 UTC
Fixed, and drawinglayer cache re-enabled in 5.0.2 I believe; thanks Tomaz !